<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XCcdFeatureConfig StructType
 * @subpackage Structs
 */
class XCcdFeatureConfig extends AbstractStructBase
{
    /**
     * The ccdParamName
     * Meta informations extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $ccdParamName;
    /**
     * The ccdParamValue
     * Meta informations extracted from the WSDL
     * - minOccurs: 1
     * @var string
     */
    public $ccdParamValue;
    /**
     * Constructor method for XCcdFeatureConfig
     * @uses XCcdFeatureConfig::setCcdParamName()
     * @uses XCcdFeatureConfig::setCcdParamValue()
     * @param string $ccdParamName
     * @param string $ccdParamValue
     */
    public function __construct($ccdParamName = null, $ccdParamValue = null)
    {
        $this
            ->setCcdParamName($ccdParamName)
            ->setCcdParamValue($ccdParamValue);
    }
    /**
     * Get ccdParamName value
     * @return string
     */
    public function getCcdParamName()
    {
        return $this->ccdParamName;
    }
    /**
     * Set ccdParamName value
     * @param string $ccdParamName
     * @return XCcdFeatureConfig
     */
    public function setCcdParamName($ccdParamName = null)
    {
        // validation for constraint: string
        if (!is_null($ccdParamName) && !is_string($ccdParamName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($ccdParamName)), __LINE__);
        }
        $this->ccdParamName = $ccdParamName;
        return $this;
    }
    /**
     * Get ccdParamValue value
     * @return string
     */
    public function getCcdParamValue()
    {
        return $this->ccdParamValue;
    }
    /**
     * Set ccdParamValue value
     * @param string $ccdParamValue
     * @return XCcdFeatureConfig
     */
    public function setCcdParamValue($ccdParamValue = null)
    {
        // validation for constraint: string
        if (!is_null($ccdParamValue) && !is_string($ccdParamValue)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($ccdParamValue)), __LINE__);
        }
        $this->ccdParamValue = $ccdParamValue;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return XCcdFeatureConfig
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
